# 人脸门禁设备管理需求文档

人脸门禁系统是服务住户，方便住户出入小区，直接刷脸，不需带任何设备。便捷，安全。

### 业务说明

人脸门禁设备是厂商给我们提供硬件，我们对接接口，安装到小区后，为小区用户提供便捷安全的服务。

# [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

### 流程图

 ![image/流程图](image/流程图.png)

### 平台管理

![image/平台列表页](image/平台列表页.png)

![image/添加门禁对接平台](image/添加门禁对接平台.png)
**表字段说明** 

| 字段名称     | 字段类型   | 备注                  | 是否必填 |
| -------- | ------ | ------------------- | ---- |
| 平台方      | enum   | 目前是 宇松 GAT 海康威视 这三家 | 是    |
| 平台应用分配id | string |                     | 是    |
| 平台应用密钥   | string | 脱敏处理                | 是    |
| 应用编号     | string | 第三方反馈的              | 否    |

删除记录时判断此平台是否关联有数据，如果关联数据不能删除。
![image/平台删除否](image/平台删除否.png)

### 小区管理员

![image/小区管理员列表](image/小区管理员列表.png)

**表字段说明**

| 字段名称  | 字段类型   | 备注            | 是否必填 |
| ----- | ------ | ------------- | ---- |
| 平台方   | enum   |               | 是    |
| 小区名称  | string |               | 是    |
| 管理员姓名 | string |               | 是    |
| 联系电话  | string |               | 是    |
| 管理员编号 | string | 厂商反馈          | 否    |
| 账号    | string | 此账户用于管理设备信息用的 | 是    |
| 密码    | string | 脱敏            | 否    |
| 状态    | int    | 1 正常 0 异常     | 否    |

小区管理员是负责小区门禁设备的维护和运行。

### 门禁管理

![image/门禁管理列表](image/门禁管理列表.png)

操作说明

| 操作  | 备注                                                      |
| --- | ------------------------------------------------------- |
| 编辑  | 修改基础数据                                                  |
| 安装  | 安装时判断"云之讯令牌"、 "云之讯用户编号"、 "人脸认证识别码"  这三个字段是否有数据，都有数据才能安装 |
| 更换  | 更换设备序列号，更换新的门禁数据，移绑门禁组、通行信息，老数据删除                       |

**表字段说明**

| 字段名称    | 字段类型     | 备注                 | 是否必填 |
| ------- | -------- | ------------------ | ---- |
| 门禁名称    | string   |                    | 是    |
| 供应商     | string   | 宇松、 海康威视、 GAT      | 是    |
| 厂商编号    | string   |                    | 是    |
| 云之讯令牌   | string   | 安装时需填              | 否    |
| 云之讯用户编号 | string   | 安装时需填              | 否    |
| 人脸认证识别码 | string   | 安装时需填              | 否    |
| 设备MAC地址 | string   |                    | 否    |
| 软件版本    | string   |                    | 否    |
| 购买日期    | datetime |                    | 否    |
| 免费保修截止日 | datetime |                    | 否    |
| 说明      | string   |                    | 是    |
| 业务状态    | string   | 报废、返厂、已上线、出库、在库、预检 | 是    |

### 门禁组管理

![image/门禁组管理](image/门禁组管理.png)
**表字段说明**

| 字段名称  | 字段类型     | 备注  | 是否必填 |
| ----- | -------- | --- | ---- |
| 小区名称  | string   |     | 是    |
| 组名称   | string   |     | 是    |
| 门禁组成员 | string   |     | 是    |
| 创建时间  | datetime |     | 是    |

以门禁组为单位便于住户通行，物业服务。审核通行证人员是按门禁组给住户分配的。

### 小区门禁安装管理

![image/门禁安装列表](image/门禁安装列表.png)
**表字段说明**

| 字段名称  | 字段类型     | 备注    | 是否必填 |
| ----- | -------- | ----- | ---- |
| 小区名称  | string   |       | 是    |
| 门禁名称  | string   |       | 是    |
| 安装位置  | string   |       | 是    |
| 楼栋    | string   |       | 否    |
| 单元    | string   |       | 否    |
| 故障联系人 | string   |       | 是    |
| 联系电话  | string   |       | 是    |
| 设备序列号 | string   |       | 是    |
| 网络状态  | string   | 在线、离线 | 是    |
| 安装时间  | datetime |       | 是    |

安装记录便于后期维护

### 通行记录

![image/通行记录](image/通行记录.png)

### 访客管理

![image/访客管理](image/访客管理.png)

| 字段名称 | 字段类型     | 备注                | 是否必填 |
| ---- | -------- | ----------------- | ---- |
| 小区名称 | string   |                   | 是    |
| 房号   | string   |                   | 是    |
| 门禁名称 | string   | 同住户的通行门禁组一样       | 是    |
| 访客姓名 | string   |                   | 否    |
| 联系电话 | string   |                   | 是    |
| 失效时间 | datetime | 系统生成，不同关系的访客时间不一样 | 是    |
| 密码   | string   | 系统生成              | 是    |
| 访客是由 | string   |                   | 是    |
| 业主关系 | string   | 亲戚、朋友、外卖、快递、其他    | 否    |

外卖、快递、其他 失效时间是半个小时，亲戚、朋友是8个小时。

### 心跳记录

![image/心跳记录](image/心跳记录.png)

### 掉线记录

![image/掉线记录](image/掉线记录.png)
